be.fgov.ehealth.dics.protocol.v5

## Class FindVmpGroupResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.dics.protocol.v5.DicsResponseType
    - - be.fgov.ehealth.dics.protocol.v5.FindVmpGroupResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:47:55+01:00",
                 comments="JAXB RI v2.3.7")
      public class FindVmpGroupResponse
      extends DicsResponseType
      implements Serializable

  Java class for FindVmpGroupResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FindVmpGroupResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsResponseType">
             <sequence minOccurs="0">
               <element name="VmpGroup" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultVmpGroupType" maxOccurs="unbounded"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindVmpGroupResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ConsultVmpGroupType>` | `getVmpGroups()` Gets the value of the vmpGroups property.

    - ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsResponseType

      `getSamId, getSearchDate, setSamId, setSearchDate`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindVmpGroupResponse

          public FindVmpGroupResponse()

  - ### Method Detail

    - #### getVmpGroups

          public List<ConsultVmpGroupType> getVmpGroups()

      Gets the value of the vmpGroups property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the vmpGroups property.

      For example, to add a new item, do as follows:

              getVmpGroups().add(newItem);

      Objects of the following type(s) are allowed in the list `ConsultVmpGroupType`

Connector Packaging generic 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.